d3.csv('https://gist.githubusercontent.com/Swathireddy05/bee9e727cf18e04f5476732259cd8a17/raw/0134458318f2e4fc70a4435044a36bbcc3f79795/patients.csv', 
      function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'country_name'), y: unpack(rows, 'Deathcases'), z: unpack(rows, 'Categories'),
	mode: 'markers',
	marker: {
    color: 'rgb(128, 0, 0)',
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'country_name'), y: unpack(rows, 'Activecases'), z: unpack(rows, 'Categories'),
	mode: 'markers',
	marker: {
    color: 'rgb(135, 206, 235)',
    size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(204, 204, 204)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
